GEOS 3.4.2

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
geos::triangulate::quadedge::TriangleVisitor Class Referenceabstract

`#include <TriangleVisitor.h>`

## Public Member Functions
virtual void | visit (QuadEdge *triEdges[3])=0

## Detailed Description

An interface for algorithms which process the triangles in a QuadEdgeSubdivision.

Author
  JTS: Martin Davis
  Benjamin Campbell

## Member Function Documentation

virtual void geos::triangulate::quadedge::TriangleVisitor::visit | ( | QuadEdge * | triEdges[3] | ) |
| pure virtual

Visits the QuadEdges of a triangle.

Parameters

  triEdges | an array of the 3 quad edges in a triangle (in CCW order)

The documentation for this class was generated from the following file:

- TriangleVisitor.h